curl "https://api.shortkit.dev/v1/live-streams?status=active&limit=20" \
-H "Authorization: Bearer sk_live_your_secret_key"
import requests
resp = requests.get(
"https://api.shortkit.dev/v1/live-streams",
params={"status": "active", "limit": 20},
headers={"Authorization": "Bearer sk_live_your_secret_key"},
)
streams = resp.json()["data"]
const params = new URLSearchParams({ status: "active", limit: "20" });
const resp = await fetch(
`https://api.shortkit.dev/v1/live-streams?${params}`,
{ headers: { Authorization: "Bearer sk_live_your_secret_key" } }
);
const { data: streams } = await resp.json();
{
"data": [
{
"id": "5a7b8c9d-e0f1-4234-5678-90abcdef1234",
"playbackId": "DS00Spx1CV3C00bv7n7CnG02ROsPIxQ100",
"status": "active",
"title": "Friday morning yoga",
"latencyMode": "low",
"reconnectWindow": 60,
"startedAt": "2026-04-17T14:00:00Z",
"endedAt": null,
"createdAt": "2026-04-17T13:55:00Z"
}
],
"meta": {
"request_id": "req_list001"
}
}
Live Streams
List Live Streams
List your organization’s live streams, optionally filtered by status.
GET
/
v1
/
live-streams
curl "https://api.shortkit.dev/v1/live-streams?status=active&limit=20" \
-H "Authorization: Bearer sk_live_your_secret_key"
import requests
resp = requests.get(
"https://api.shortkit.dev/v1/live-streams",
params={"status": "active", "limit": 20},
headers={"Authorization": "Bearer sk_live_your_secret_key"},
)
streams = resp.json()["data"]
const params = new URLSearchParams({ status: "active", limit: "20" });
const resp = await fetch(
`https://api.shortkit.dev/v1/live-streams?${params}`,
{ headers: { Authorization: "Bearer sk_live_your_secret_key" } }
);
const { data: streams } = await resp.json();
{
"data": [
{
"id": "5a7b8c9d-e0f1-4234-5678-90abcdef1234",
"playbackId": "DS00Spx1CV3C00bv7n7CnG02ROsPIxQ100",
"status": "active",
"title": "Friday morning yoga",
"latencyMode": "low",
"reconnectWindow": 60,
"startedAt": "2026-04-17T14:00:00Z",
"endedAt": null,
"createdAt": "2026-04-17T13:55:00Z"
}
],
"meta": {
"request_id": "req_list001"
}
}
Returns live streams in reverse chronological order by creation time. Authenticated with your secret key.
The response includes
playbackId, status, and timing fields for each stream, but does not include rtmpUrl or streamKey — those credentials are only returned on the Create Live Stream response.
Query parameters
integer
default:"20"
Maximum number of streams to return. Range 1–100.
string
Filter by lifecycle state. One of
idle, active, or ended. Omit to return streams in any state.curl "https://api.shortkit.dev/v1/live-streams?status=active&limit=20" \
-H "Authorization: Bearer sk_live_your_secret_key"
import requests
resp = requests.get(
"https://api.shortkit.dev/v1/live-streams",
params={"status": "active", "limit": 20},
headers={"Authorization": "Bearer sk_live_your_secret_key"},
)
streams = resp.json()["data"]
const params = new URLSearchParams({ status: "active", limit: "20" });
const resp = await fetch(
`https://api.shortkit.dev/v1/live-streams?${params}`,
{ headers: { Authorization: "Bearer sk_live_your_secret_key" } }
);
const { data: streams } = await resp.json();
{
"data": [
{
"id": "5a7b8c9d-e0f1-4234-5678-90abcdef1234",
"playbackId": "DS00Spx1CV3C00bv7n7CnG02ROsPIxQ100",
"status": "active",
"title": "Friday morning yoga",
"latencyMode": "low",
"reconnectWindow": 60,
"startedAt": "2026-04-17T14:00:00Z",
"endedAt": null,
"createdAt": "2026-04-17T13:55:00Z"
}
],
"meta": {
"request_id": "req_list001"
}
}